IndexType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Enum IndexType

- java.lang.Object
- - java.lang.Enum<IndexType>
  - - org.apache.cassandra.thrift.IndexType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IndexType>, org.apache.thrift.TEnum

      public enum IndexType
      extends java.lang.Enum<IndexType>
      implements org.apache.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPOSITES`
    `CUSTOM`
    `KEYS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexType` | `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
    `static IndexType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IndexType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEYS

          public static final IndexType KEYS

    - #### CUSTOM

          public static final IndexType CUSTOM

    - #### COMPOSITES

          public static final IndexType COMPOSITES

  - ### Method Detail

    - #### values

          public static IndexType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexType c : IndexType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.
      Specified by:
        `getValue` in interface `org.apache.thrift.TEnum`

    - #### findByValue

          public static IndexType findByValue(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.
      Returns:
        null if the value is not found.

Copyright © 2018 The Apache Software Foundation